Skip to content

Delete a record

DELETE
/cms/data/{collection}/records/{id}
curl --request DELETE \
--url 'https://api.example.com/cms/data/matches/records/1?force=1' \
--header 'API-Key: <API-Key>'

Refused while other records point to it, unless force=1 (their references are left dangling). Requires the “Structured data - Write records” permission.

collection
required
string

Collection key

Example

matches
id
required
integer

Record ID

force
string
Allowed values: 1

Deleted

Needs an API key linked to a CMS user with the Structured data permission

No such collection or record

Other records point to it